%define _root_sbindir	/sbin

%define snapshot 20101006
Name:		btrfs-progs
Version:	0.19
Release:	1.%{snapshot}.5
Summary:	Userspace programs for btrfs

Group:		System/Kernel and hardware
License:	GPLv2
URL:		http://btrfs.wiki.kernel.org/index.php/Main_Page
#Source0:	http://www.kernel.org/pub/linux/kernel/people/mason/btrfs/%{name}-%{version}.tar.bz2
# git archive --prefix=btrfs-progs-0.19/ -o ../SOURCES/btrfs-progs-0.19-$(date +%Y%m%d).tar --format tar  HEAD
Source0:	%{name}-%{version}-%{snapshot}.tar.bz2
Patch0:		btrfs-progs-fix-labels.patch
Patch1:		btrfs-progs-build-everything.patch
Patch2:		btrfs-progs-0.19-valgrind.patch
Patch3:		btrfs-progs-0.19-fix-return-value.patch
Patch4:		btrfs-progs-0.19-build-fixes.patch
Patch5:		btrfs-progs-0.19-ignore-standard-fsck-switch.patch

BuildRequires:	e2fsprogs-devel
BuildRequires:	libuuid-devel
BuildRequires:	zlib-devel
BuildRequires:	acl-devel

%description
The btrfs-progs package provides all the userpsace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%prep
%setup -q
%patch0 -p1 -b .labels~
%patch2 -p1 -b .valgrind~
%patch3 -p1 -b .return_value~
%patch4 -p1 -b .build_fixes~
%patch1 -p1 -b .everything~
%patch5 -p1 -b .ignore_switch~

%build
%make CFLAGS="%{optflags}"
# for btrfs-convert
%make convert CFLAGS="%{optflags}"

%install
%makeinstall bindir=%{buildroot}/%{_root_sbindir}
ln -sv %{_root_sbindir}/btrfsck %{buildroot}/%{_root_sbindir}/fsck.btrfs 

%files
%doc INSTALL
%{_root_sbindir}/btrfsctl
%{_root_sbindir}/btrfsck
%{_root_sbindir}/btrfstune
%{_root_sbindir}/fsck.btrfs
%{_root_sbindir}/mkfs.btrfs
%{_root_sbindir}/btrfs-debug-tree
%{_root_sbindir}/btrfs-image
%{_root_sbindir}/btrfs-show
%{_root_sbindir}/btrfs-vol
%{_root_sbindir}/btrfs-convert
%{_root_sbindir}/btrfs
%{_root_sbindir}/btrfs-map-logical
%{_mandir}/man8/btrfs-image.8*
%{_mandir}/man8/btrfs-show.8*
%{_mandir}/man8/btrfsck.8*
%{_mandir}/man8/btrfsctl.8*
%{_mandir}/man8/mkfs.btrfs.8*
%{_mandir}/man8/btrfs.8.*


%changelog
* Wed Jul 13 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.19-1.20101006.5
+ Revision: 689889
- 'INSTALL' document turned out to contain some slightly useful information after
  all, so we'll ship it again
- and also add -f...
- ignore '-y' switch as well
- remove junk of no use
- add handling of '-a' switch so that it can be ignored rather than giving error
- sync patches with fedora

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.19-1.20101006.3
+ Revision: 663340
- mass rebuild

* Wed Feb 23 2011 Tomas Kindl <supp@mandriva.org> 0.19-1.20101006.2
+ Revision: 639419
- fix for #61488

* Wed Dec 01 2010 Thomas Backlund <tmb@mandriva.org> 0.19-1.20101006.1mdv2011.0
+ Revision: 604264
- update to 2010-10-06 snapshot
- drop p0 (merged)

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19-1.20100412.1mdv2011.0
+ Revision: 603986
- fix build
- fix deps
- rebuild

* Mon Apr 12 2010 Pascal Terjan <pterjan@mandriva.org> 0.19-1.20100412.0mdv2010.1
+ Revision: 533682
- Update to git snapshot

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.19-1mdv2010.0
+ Revision: 409532
- Update to new version 0.19
- Use Mandriva %%optflags

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-3mdv2010.0
+ Revision: 409062
- updated buildrequires for libuuid
- rebuild with new libuuid

* Sat Jun 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-2mdv2010.0
+ Revision: 385760
- Added missing BuildRequires for btrfs-convert.
- Added btrfs-convert (#51617)

* Fri May 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-1mdv2010.0
+ Revision: 369208
- Added BuildRequires on zlib1-devel.
- import btrfs-progs


* Thu Apr 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-1
- Initial version.
